Bug 185699 - Add avahi service for netatalk package
Add avahi service for netatalk package
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-03-16 17:45 EST by Eric Brunson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-17 11:20:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Brunson 2006-03-16 17:45:22 EST
Description of problem:
Avahi has to be manually configured to advertise afp services

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:
Add the following content to a new file: /etc/avahi/services/afp.service

---Begin Content---

  <name replace-wildcards="yes">%h</name>


---End Content---

Additional info:
I believe "service avahi-daemon restart" needs to be run to pick up the change.
Comment 1 Jason Vas Dias 2006-03-17 11:20:32 EST
The /etc/avahi/services directory is for user configuration of services
to be advertised, as you have done.

Not all FC machines provide AFP services - you need the optional netatalk
package installed. 

So I don't think we should ship anything in  /etc/avahi/services by default -
it is up to users to choose which services they want to run and which they
want to advertise using avahi.

There is probably a need for a 'system-config-service-discovery' GUI that will
provide an easy user interface for configuring and advertising services with
avahi / ZeroConf - this is a project I am working on but goes far beyond the
scope of this bug report.
Comment 2 Eric Brunson 2006-03-17 12:25:24 EST
That is why I opened this enhancement against the netatalk package, not the
avahi package.

Note You need to log in before you can comment on or make changes to this bug.